Aplicación de Android en Eclipse: Editar texto que no se muestra en el diseño gráfico

Intento agregar un campo de texto en mi aplicación de Android en Eclipse, pero luego arrastro la opción Plain text al diseño gráfico, aparece un mensaje en la parte inferior. Se lee Exception raised during rendering: java.lang.System.arraycopy([CI[CII)V Exception details are logged in Window > Show View > Error Log Incluso cuando voy a Window > Show View no hay ninguna opción de registro de errores. Todo el diseñador es inútil ahora, porque no puedo usarlo más hasta que elimine EditText directamente del xml. ¿Qué está causando este error y cómo lo soluciono? Estoy ejecutando la última versión (desde hoy, 6-30-14) y Windows 8 Pro x64.

Aquí está mi código de diseño completo:

       

Comprueba la “versión de Android para usar al representar diseños” y asegúrate de no estar utilizando una versión que termine en “W” para Android Wear ( por ejemplo, API 20: Android 4.4W). No creo que Wear admita EditText .

Tanto en Android Studio como en Eclipse, es el menú desplegable con el android verde en la barra de herramientas de la vista previa del diseño. Es posible que desee establecerlo explícitamente y no permitir que el IDE elija la versión de Android automáticamente.

Desde el IDE de Eclipse, simplemente cambie la versión de la API para usarla para la vista previa, como se muestra en la captura de pantalla siguiente. En lugar de “Elegir automáticamente mejor”, seleccione manualmente el que más le convenga (la API 17 funcionó para mí).

enter image description here

Cambié mi versión de Android para Android 4.2, pero todavía no funciona para mí. Intenté diferentes soluciones, encontré que solo funciona borrando el paquete de Android 4.4W.

Ventana> Administrador de Android SDK> compruebe Android 4.4W (API 20) si se instaló> Eliminar paquete

Si se enfrenta a esto en Android Studio, siga a lo largo

1) Desinstalar Android 4.4W (API 20) del Administrador de SDK

2) Asegúrese de tener instalado SDK Build Tools 19.1 de Android desde SDK Manager.

3) Edita build.gradle dentro de la carpeta de tu aplicación. Establezca los siguientes dos valores de la siguiente manera

 compileSdkVersion 19 buildToolsVersion "19.1" 

4) El IDE le pedirá que sincronice el archivo Gradle con su proyecto, haga clic en Sí.

5) Abra su archivo de actividad y luego cambie la ‘versión de Android para usar al renderizar diseños en IDE’ a ‘API 19’. Este es el Bot de Android de color verde hacia la derecha en la ventana de vista previa

Eliminé 4.4w de mi stack de instalación de SDK, que debe haber pasado desapercibida la última vez que instalé un SDK. Una vez que lo quité ya no estaba y la opción, y eclipse escogió un SDK que sí tenía que no era W y funcionó.

El W en Android 4.4W sugiere dispositivos portátiles. Android Wear es un reloj de pulsera y no puedes escribir nada en él, así que no puedes usar EditText en 4.4W. Cambie la API a 19 o menos o cámbiela a 4.4L

Compruébelo @ https://developer.android.com/design/wear/index.html

Puede cambiar su versión de la API de vista previa como sugirió Jim si no desea desarrollar aplicaciones para dispositivos portátiles.